package com.ywt.gapi.taihe.register;

import static io.grpc.stub.ClientCalls.asyncUnaryCall;
import static io.grpc.stub.ClientCalls.asyncServerStreamingCall;
import static io.grpc.stub.ClientCalls.asyncClientStreamingCall;
import static io.grpc.stub.ClientCalls.asyncBidiStreamingCall;
import static io.grpc.stub.ClientCalls.blockingUnaryCall;
import static io.grpc.stub.ClientCalls.blockingServerStreamingCall;
import static io.grpc.stub.ClientCalls.futureUnaryCall;
import static io.grpc.MethodDescriptor.generateFullMethodName;
import static io.grpc.stub.ServerCalls.asyncUnaryCall;
import static io.grpc.stub.ServerCalls.asyncServerStreamingCall;
import static io.grpc.stub.ServerCalls.asyncClientStreamingCall;
import static io.grpc.stub.ServerCalls.asyncBidiStreamingCall;
import static io.grpc.stub.ServerCalls.asyncUnimplementedUnaryCall;
import static io.grpc.stub.ServerCalls.asyncUnimplementedStreamingCall;

/**
 * <pre>
 *太和医院预约挂号业务类 // 对应 taihe-rpc 项目 TaiheRegisterService 类
 * </pre>
 */
@javax.annotation.Generated(
    value = "by gRPC proto compiler (version 1.7.2-SNAPSHOT)",
    comments = "Source: taihe_register.proto")
public final class TaiheRegisterServiceGrpc {

  private TaiheRegisterServiceGrpc() {}

  public static final String SERVICE_NAME = "com.ywt.gapi.taihe.register.TaiheRegisterService";

  // Static method descriptors that strictly reflect the proto.
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.taihe.register.CreateRegisteredRequest,
      com.ywt.gapi.taihe.register.CreateRegisteredResponse> METHOD_CREATE_REGISTERED =
      io.grpc.MethodDescriptor.<com.ywt.gapi.taihe.register.CreateRegisteredRequest, com.ywt.gapi.taihe.register.CreateRegisteredResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.taihe.register.TaiheRegisterService", "createRegistered"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.taihe.register.CreateRegisteredRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.taihe.register.CreateRegisteredResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheRegisterServiceMethodDescriptorSupplier("createRegistered"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.taihe.register.CancelRegisteredRequest,
      com.ywt.gapi.taihe.register.CancelRegisteredResponse> METHOD_CANCEL_REGISTERED =
      io.grpc.MethodDescriptor.<com.ywt.gapi.taihe.register.CancelRegisteredRequest, com.ywt.gapi.taihe.register.CancelRegisteredResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.taihe.register.TaiheRegisterService", "cancelRegistered"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.taihe.register.CancelRegisteredRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.taihe.register.CancelRegisteredResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheRegisterServiceMethodDescriptorSupplier("cancelRegistered"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.taihe.register.PayCallbackRequest,
      com.ywt.gapi.taihe.register.PayCallbackResponse> METHOD_PAY_CALLBACK =
      io.grpc.MethodDescriptor.<com.ywt.gapi.taihe.register.PayCallbackRequest, com.ywt.gapi.taihe.register.PayCallbackResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.taihe.register.TaiheRegisterService", "payCallback"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.taihe.register.PayCallbackRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.taihe.register.PayCallbackResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheRegisterServiceMethodDescriptorSupplier("payCallback"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.taihe.register.RefundCallbackRequest,
      com.ywt.gapi.taihe.register.RefundCallbackResponse> METHOD_REFUND_CALLBACK =
      io.grpc.MethodDescriptor.<com.ywt.gapi.taihe.register.RefundCallbackRequest, com.ywt.gapi.taihe.register.RefundCallbackResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.taihe.register.TaiheRegisterService", "refundCallback"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.taihe.register.RefundCallbackRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.taihe.register.RefundCallbackResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheRegisterServiceMethodDescriptorSupplier("refundCallback"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.taihe.register.RegisterRequest,
      com.ywt.gapi.taihe.register.RegisterResponse> METHOD_REGISTER =
      io.grpc.MethodDescriptor.<com.ywt.gapi.taihe.register.RegisterRequest, com.ywt.gapi.taihe.register.RegisterResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.taihe.register.TaiheRegisterService", "register"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.taihe.register.RegisterRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.taihe.register.RegisterResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheRegisterServiceMethodDescriptorSupplier("register"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.taihe.register.TakeRequest,
      com.ywt.gapi.taihe.register.TakeResponse> METHOD_TAKE =
      io.grpc.MethodDescriptor.<com.ywt.gapi.taihe.register.TakeRequest, com.ywt.gapi.taihe.register.TakeResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.taihe.register.TaiheRegisterService", "take"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.taihe.register.TakeRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.taihe.register.TakeResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheRegisterServiceMethodDescriptorSupplier("take"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.taihe.register.GetQueueListRequest,
      com.ywt.gapi.taihe.register.GetQueueListResponse> METHOD_GET_QUEUE_LIST =
      io.grpc.MethodDescriptor.<com.ywt.gapi.taihe.register.GetQueueListRequest, com.ywt.gapi.taihe.register.GetQueueListResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.taihe.register.TaiheRegisterService", "getQueueList"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.taihe.register.GetQueueListRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.taihe.register.GetQueueListResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheRegisterServiceMethodDescriptorSupplier("getQueueList"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.taihe.register.GetCommonOrderListRequest,
      com.ywt.gapi.taihe.register.GetCommonOrderListResponse> METHOD_GET_COMMON_ORDER_LIST =
      io.grpc.MethodDescriptor.<com.ywt.gapi.taihe.register.GetCommonOrderListRequest, com.ywt.gapi.taihe.register.GetCommonOrderListResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.taihe.register.TaiheRegisterService", "getCommonOrderList"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.taihe.register.GetCommonOrderListRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.taihe.register.GetCommonOrderListResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheRegisterServiceMethodDescriptorSupplier("getCommonOrderList"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.taihe.register.GetRegisteredListRequest,
      com.ywt.gapi.taihe.register.GetRegisteredListResponse> METHOD_GET_REGISTERED_LIST =
      io.grpc.MethodDescriptor.<com.ywt.gapi.taihe.register.GetRegisteredListRequest, com.ywt.gapi.taihe.register.GetRegisteredListResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.taihe.register.TaiheRegisterService", "getRegisteredList"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.taihe.register.GetRegisteredListRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.taihe.register.GetRegisteredListResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheRegisterServiceMethodDescriptorSupplier("getRegisteredList"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.taihe.register.RegisterWithoutMedicalCardRequest,
      com.ywt.gapi.taihe.register.RegisterWithoutMedicalCardResponse> METHOD_REGISTER_WITHOUT_MEDICAL_CARD =
      io.grpc.MethodDescriptor.<com.ywt.gapi.taihe.register.RegisterWithoutMedicalCardRequest, com.ywt.gapi.taihe.register.RegisterWithoutMedicalCardResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.taihe.register.TaiheRegisterService", "registerWithoutMedicalCard"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.taihe.register.RegisterWithoutMedicalCardRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.taihe.register.RegisterWithoutMedicalCardResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheRegisterServiceMethodDescriptorSupplier("registerWithoutMedicalCard"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.taihe.register.GetOfflineConsultInfoByDoctorIdRequest,
      com.ywt.gapi.taihe.register.GetOfflineConsultInfoByDoctorIdResponse> METHOD_GET_OFFLINE_CONSULT_INFO_BY_DOCTOR_ID =
      io.grpc.MethodDescriptor.<com.ywt.gapi.taihe.register.GetOfflineConsultInfoByDoctorIdRequest, com.ywt.gapi.taihe.register.GetOfflineConsultInfoByDoctorIdResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.taihe.register.TaiheRegisterService", "getOfflineConsultInfoByDoctorId"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.taihe.register.GetOfflineConsultInfoByDoctorIdRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.taihe.register.GetOfflineConsultInfoByDoctorIdResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheRegisterServiceMethodDescriptorSupplier("getOfflineConsultInfoByDoctorId"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.taihe.register.GetLatestRegOrderRequest,
      com.ywt.gapi.taihe.register.GetLatestRegOrderResponse> METHOD_GET_LATEST_REG_ORDER =
      io.grpc.MethodDescriptor.<com.ywt.gapi.taihe.register.GetLatestRegOrderRequest, com.ywt.gapi.taihe.register.GetLatestRegOrderResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.taihe.register.TaiheRegisterService", "getLatestRegOrder"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.taihe.register.GetLatestRegOrderRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.taihe.register.GetLatestRegOrderResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheRegisterServiceMethodDescriptorSupplier("getLatestRegOrder"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.taihe.register.CalAdditionalFeeRequest,
      com.ywt.gapi.taihe.register.CalAdditionalFeeResponse> METHOD_CAL_ADDITIONAL_FEE =
      io.grpc.MethodDescriptor.<com.ywt.gapi.taihe.register.CalAdditionalFeeRequest, com.ywt.gapi.taihe.register.CalAdditionalFeeResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.taihe.register.TaiheRegisterService", "calAdditionalFee"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.taihe.register.CalAdditionalFeeRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.taihe.register.CalAdditionalFeeResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheRegisterServiceMethodDescriptorSupplier("calAdditionalFee"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.taihe.register.GetHisPatientIdByUserIdAndMobileRequest,
      com.ywt.gapi.taihe.register.GetHisPatientIdByUserIdAndMobileResponse> METHOD_GET_HIS_PATIENT_ID_BY_USER_ID_AND_MOBILE =
      io.grpc.MethodDescriptor.<com.ywt.gapi.taihe.register.GetHisPatientIdByUserIdAndMobileRequest, com.ywt.gapi.taihe.register.GetHisPatientIdByUserIdAndMobileResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.taihe.register.TaiheRegisterService", "getHisPatientIdByUserIdAndMobile"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.taihe.register.GetHisPatientIdByUserIdAndMobileRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.taihe.register.GetHisPatientIdByUserIdAndMobileResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheRegisterServiceMethodDescriptorSupplier("getHisPatientIdByUserIdAndMobile"))
          .build();
  @io.grpc.ExperimentalApi("https://github.com/grpc/grpc-java/issues/1901")
  public static final io.grpc.MethodDescriptor<com.ywt.gapi.taihe.register.CreateMedicalCardRequest,
      com.ywt.gapi.taihe.register.CreateMedicalCardResponse> METHOD_CREATE_MEDICAL_CARD =
      io.grpc.MethodDescriptor.<com.ywt.gapi.taihe.register.CreateMedicalCardRequest, com.ywt.gapi.taihe.register.CreateMedicalCardResponse>newBuilder()
          .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
          .setFullMethodName(generateFullMethodName(
              "com.ywt.gapi.taihe.register.TaiheRegisterService", "createMedicalCard"))
          .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.taihe.register.CreateMedicalCardRequest.getDefaultInstance()))
          .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
              com.ywt.gapi.taihe.register.CreateMedicalCardResponse.getDefaultInstance()))
          .setSchemaDescriptor(new TaiheRegisterServiceMethodDescriptorSupplier("createMedicalCard"))
          .build();

  /**
   * Creates a new async stub that supports all call types for the service
   */
  public static TaiheRegisterServiceStub newStub(io.grpc.Channel channel) {
    return new TaiheRegisterServiceStub(channel);
  }

  /**
   * Creates a new blocking-style stub that supports unary and streaming output calls on the service
   */
  public static TaiheRegisterServiceBlockingStub newBlockingStub(
      io.grpc.Channel channel) {
    return new TaiheRegisterServiceBlockingStub(channel);
  }

  /**
   * Creates a new ListenableFuture-style stub that supports unary calls on the service
   */
  public static TaiheRegisterServiceFutureStub newFutureStub(
      io.grpc.Channel channel) {
    return new TaiheRegisterServiceFutureStub(channel);
  }

  /**
   * <pre>
   *太和医院预约挂号业务类 // 对应 taihe-rpc 项目 TaiheRegisterService 类
   * </pre>
   */
  public static abstract class TaiheRegisterServiceImplBase implements io.grpc.BindableService {

    /**
     * <pre>
     *预约挂号
     * </pre>
     */
    public void createRegistered(com.ywt.gapi.taihe.register.CreateRegisteredRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.CreateRegisteredResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_CREATE_REGISTERED, responseObserver);
    }

    /**
     * <pre>
     *取消预约
     * </pre>
     */
    public void cancelRegistered(com.ywt.gapi.taihe.register.CancelRegisteredRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.CancelRegisteredResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_CANCEL_REGISTERED, responseObserver);
    }

    /**
     * <pre>
     *订单支付成功通知
     * </pre>
     */
    public void payCallback(com.ywt.gapi.taihe.register.PayCallbackRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.PayCallbackResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_PAY_CALLBACK, responseObserver);
    }

    /**
     * <pre>
     *退款回调
     * </pre>
     */
    public void refundCallback(com.ywt.gapi.taihe.register.RefundCallbackRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.RefundCallbackResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_REFUND_CALLBACK, responseObserver);
    }

    /**
     * <pre>
     *挂号（挂号信息已先保存至数据表中）
     * </pre>
     */
    public void register(com.ywt.gapi.taihe.register.RegisterRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.RegisterResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_REGISTER, responseObserver);
    }

    /**
     * <pre>
     *取号
     * </pre>
     */
    public void take(com.ywt.gapi.taihe.register.TakeRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.TakeResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_TAKE, responseObserver);
    }

    /**
     * <pre>
     *获取候诊订单列表
     * </pre>
     */
    public void getQueueList(com.ywt.gapi.taihe.register.GetQueueListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.GetQueueListResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_QUEUE_LIST, responseObserver);
    }

    /**
     * <pre>
     *获取太和门诊记录
     * </pre>
     */
    public void getCommonOrderList(com.ywt.gapi.taihe.register.GetCommonOrderListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.GetCommonOrderListResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_COMMON_ORDER_LIST, responseObserver);
    }

    /**
     * <pre>
     *获取挂号订单列表
     * </pre>
     */
    public void getRegisteredList(com.ywt.gapi.taihe.register.GetRegisteredListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.GetRegisteredListResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_REGISTERED_LIST, responseObserver);
    }

    /**
     * <pre>
     *无诊疗卡挂号
     * </pre>
     */
    public void registerWithoutMedicalCard(com.ywt.gapi.taihe.register.RegisterWithoutMedicalCardRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.RegisterWithoutMedicalCardResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_REGISTER_WITHOUT_MEDICAL_CARD, responseObserver);
    }

    /**
     * <pre>
     * 根据医生 id 获取下线问诊相关信息
     * </pre>
     */
    public void getOfflineConsultInfoByDoctorId(com.ywt.gapi.taihe.register.GetOfflineConsultInfoByDoctorIdRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.GetOfflineConsultInfoByDoctorIdResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_OFFLINE_CONSULT_INFO_BY_DOCTOR_ID, responseObserver);
    }

    /**
     * <pre>
     * 获取最近一次挂号订单
     * </pre>
     */
    public void getLatestRegOrder(com.ywt.gapi.taihe.register.GetLatestRegOrderRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.GetLatestRegOrderResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_LATEST_REG_ORDER, responseObserver);
    }

    /**
     * <pre>
     * 计算加收费用
     * </pre>
     */
    public void calAdditionalFee(com.ywt.gapi.taihe.register.CalAdditionalFeeRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.CalAdditionalFeeResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_CAL_ADDITIONAL_FEE, responseObserver);
    }

    /**
     * <pre>
     * 根据 userId &amp; mobile 获取 hisPatientId
     * </pre>
     */
    public void getHisPatientIdByUserIdAndMobile(com.ywt.gapi.taihe.register.GetHisPatientIdByUserIdAndMobileRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.GetHisPatientIdByUserIdAndMobileResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_GET_HIS_PATIENT_ID_BY_USER_ID_AND_MOBILE, responseObserver);
    }

    /**
     * <pre>
     * HIS 建档并在系统创建诊疗卡
     * </pre>
     */
    public void createMedicalCard(com.ywt.gapi.taihe.register.CreateMedicalCardRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.CreateMedicalCardResponse> responseObserver) {
      asyncUnimplementedUnaryCall(METHOD_CREATE_MEDICAL_CARD, responseObserver);
    }

    @java.lang.Override public final io.grpc.ServerServiceDefinition bindService() {
      return io.grpc.ServerServiceDefinition.builder(getServiceDescriptor())
          .addMethod(
            METHOD_CREATE_REGISTERED,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.taihe.register.CreateRegisteredRequest,
                com.ywt.gapi.taihe.register.CreateRegisteredResponse>(
                  this, METHODID_CREATE_REGISTERED)))
          .addMethod(
            METHOD_CANCEL_REGISTERED,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.taihe.register.CancelRegisteredRequest,
                com.ywt.gapi.taihe.register.CancelRegisteredResponse>(
                  this, METHODID_CANCEL_REGISTERED)))
          .addMethod(
            METHOD_PAY_CALLBACK,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.taihe.register.PayCallbackRequest,
                com.ywt.gapi.taihe.register.PayCallbackResponse>(
                  this, METHODID_PAY_CALLBACK)))
          .addMethod(
            METHOD_REFUND_CALLBACK,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.taihe.register.RefundCallbackRequest,
                com.ywt.gapi.taihe.register.RefundCallbackResponse>(
                  this, METHODID_REFUND_CALLBACK)))
          .addMethod(
            METHOD_REGISTER,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.taihe.register.RegisterRequest,
                com.ywt.gapi.taihe.register.RegisterResponse>(
                  this, METHODID_REGISTER)))
          .addMethod(
            METHOD_TAKE,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.taihe.register.TakeRequest,
                com.ywt.gapi.taihe.register.TakeResponse>(
                  this, METHODID_TAKE)))
          .addMethod(
            METHOD_GET_QUEUE_LIST,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.taihe.register.GetQueueListRequest,
                com.ywt.gapi.taihe.register.GetQueueListResponse>(
                  this, METHODID_GET_QUEUE_LIST)))
          .addMethod(
            METHOD_GET_COMMON_ORDER_LIST,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.taihe.register.GetCommonOrderListRequest,
                com.ywt.gapi.taihe.register.GetCommonOrderListResponse>(
                  this, METHODID_GET_COMMON_ORDER_LIST)))
          .addMethod(
            METHOD_GET_REGISTERED_LIST,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.taihe.register.GetRegisteredListRequest,
                com.ywt.gapi.taihe.register.GetRegisteredListResponse>(
                  this, METHODID_GET_REGISTERED_LIST)))
          .addMethod(
            METHOD_REGISTER_WITHOUT_MEDICAL_CARD,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.taihe.register.RegisterWithoutMedicalCardRequest,
                com.ywt.gapi.taihe.register.RegisterWithoutMedicalCardResponse>(
                  this, METHODID_REGISTER_WITHOUT_MEDICAL_CARD)))
          .addMethod(
            METHOD_GET_OFFLINE_CONSULT_INFO_BY_DOCTOR_ID,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.taihe.register.GetOfflineConsultInfoByDoctorIdRequest,
                com.ywt.gapi.taihe.register.GetOfflineConsultInfoByDoctorIdResponse>(
                  this, METHODID_GET_OFFLINE_CONSULT_INFO_BY_DOCTOR_ID)))
          .addMethod(
            METHOD_GET_LATEST_REG_ORDER,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.taihe.register.GetLatestRegOrderRequest,
                com.ywt.gapi.taihe.register.GetLatestRegOrderResponse>(
                  this, METHODID_GET_LATEST_REG_ORDER)))
          .addMethod(
            METHOD_CAL_ADDITIONAL_FEE,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.taihe.register.CalAdditionalFeeRequest,
                com.ywt.gapi.taihe.register.CalAdditionalFeeResponse>(
                  this, METHODID_CAL_ADDITIONAL_FEE)))
          .addMethod(
            METHOD_GET_HIS_PATIENT_ID_BY_USER_ID_AND_MOBILE,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.taihe.register.GetHisPatientIdByUserIdAndMobileRequest,
                com.ywt.gapi.taihe.register.GetHisPatientIdByUserIdAndMobileResponse>(
                  this, METHODID_GET_HIS_PATIENT_ID_BY_USER_ID_AND_MOBILE)))
          .addMethod(
            METHOD_CREATE_MEDICAL_CARD,
            asyncUnaryCall(
              new MethodHandlers<
                com.ywt.gapi.taihe.register.CreateMedicalCardRequest,
                com.ywt.gapi.taihe.register.CreateMedicalCardResponse>(
                  this, METHODID_CREATE_MEDICAL_CARD)))
          .build();
    }
  }

  /**
   * <pre>
   *太和医院预约挂号业务类 // 对应 taihe-rpc 项目 TaiheRegisterService 类
   * </pre>
   */
  public static final class TaiheRegisterServiceStub extends io.grpc.stub.AbstractStub<TaiheRegisterServiceStub> {
    private TaiheRegisterServiceStub(io.grpc.Channel channel) {
      super(channel);
    }

    private TaiheRegisterServiceStub(io.grpc.Channel channel,
        io.grpc.CallOptions callOptions) {
      super(channel, callOptions);
    }

    @java.lang.Override
    protected TaiheRegisterServiceStub build(io.grpc.Channel channel,
        io.grpc.CallOptions callOptions) {
      return new TaiheRegisterServiceStub(channel, callOptions);
    }

    /**
     * <pre>
     *预约挂号
     * </pre>
     */
    public void createRegistered(com.ywt.gapi.taihe.register.CreateRegisteredRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.CreateRegisteredResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_CREATE_REGISTERED, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *取消预约
     * </pre>
     */
    public void cancelRegistered(com.ywt.gapi.taihe.register.CancelRegisteredRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.CancelRegisteredResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_CANCEL_REGISTERED, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *订单支付成功通知
     * </pre>
     */
    public void payCallback(com.ywt.gapi.taihe.register.PayCallbackRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.PayCallbackResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_PAY_CALLBACK, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *退款回调
     * </pre>
     */
    public void refundCallback(com.ywt.gapi.taihe.register.RefundCallbackRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.RefundCallbackResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_REFUND_CALLBACK, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *挂号（挂号信息已先保存至数据表中）
     * </pre>
     */
    public void register(com.ywt.gapi.taihe.register.RegisterRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.RegisterResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_REGISTER, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *取号
     * </pre>
     */
    public void take(com.ywt.gapi.taihe.register.TakeRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.TakeResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_TAKE, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *获取候诊订单列表
     * </pre>
     */
    public void getQueueList(com.ywt.gapi.taihe.register.GetQueueListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.GetQueueListResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_QUEUE_LIST, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *获取太和门诊记录
     * </pre>
     */
    public void getCommonOrderList(com.ywt.gapi.taihe.register.GetCommonOrderListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.GetCommonOrderListResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_COMMON_ORDER_LIST, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *获取挂号订单列表
     * </pre>
     */
    public void getRegisteredList(com.ywt.gapi.taihe.register.GetRegisteredListRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.GetRegisteredListResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_REGISTERED_LIST, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     *无诊疗卡挂号
     * </pre>
     */
    public void registerWithoutMedicalCard(com.ywt.gapi.taihe.register.RegisterWithoutMedicalCardRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.RegisterWithoutMedicalCardResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_REGISTER_WITHOUT_MEDICAL_CARD, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * 根据医生 id 获取下线问诊相关信息
     * </pre>
     */
    public void getOfflineConsultInfoByDoctorId(com.ywt.gapi.taihe.register.GetOfflineConsultInfoByDoctorIdRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.GetOfflineConsultInfoByDoctorIdResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_OFFLINE_CONSULT_INFO_BY_DOCTOR_ID, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * 获取最近一次挂号订单
     * </pre>
     */
    public void getLatestRegOrder(com.ywt.gapi.taihe.register.GetLatestRegOrderRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.GetLatestRegOrderResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_LATEST_REG_ORDER, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * 计算加收费用
     * </pre>
     */
    public void calAdditionalFee(com.ywt.gapi.taihe.register.CalAdditionalFeeRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.CalAdditionalFeeResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_CAL_ADDITIONAL_FEE, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * 根据 userId &amp; mobile 获取 hisPatientId
     * </pre>
     */
    public void getHisPatientIdByUserIdAndMobile(com.ywt.gapi.taihe.register.GetHisPatientIdByUserIdAndMobileRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.GetHisPatientIdByUserIdAndMobileResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_GET_HIS_PATIENT_ID_BY_USER_ID_AND_MOBILE, getCallOptions()), request, responseObserver);
    }

    /**
     * <pre>
     * HIS 建档并在系统创建诊疗卡
     * </pre>
     */
    public void createMedicalCard(com.ywt.gapi.taihe.register.CreateMedicalCardRequest request,
        io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.CreateMedicalCardResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(METHOD_CREATE_MEDICAL_CARD, getCallOptions()), request, responseObserver);
    }
  }

  /**
   * <pre>
   *太和医院预约挂号业务类 // 对应 taihe-rpc 项目 TaiheRegisterService 类
   * </pre>
   */
  public static final class TaiheRegisterServiceBlockingStub extends io.grpc.stub.AbstractStub<TaiheRegisterServiceBlockingStub> {
    private TaiheRegisterServiceBlockingStub(io.grpc.Channel channel) {
      super(channel);
    }

    private TaiheRegisterServiceBlockingStub(io.grpc.Channel channel,
        io.grpc.CallOptions callOptions) {
      super(channel, callOptions);
    }

    @java.lang.Override
    protected TaiheRegisterServiceBlockingStub build(io.grpc.Channel channel,
        io.grpc.CallOptions callOptions) {
      return new TaiheRegisterServiceBlockingStub(channel, callOptions);
    }

    /**
     * <pre>
     *预约挂号
     * </pre>
     */
    public com.ywt.gapi.taihe.register.CreateRegisteredResponse createRegistered(com.ywt.gapi.taihe.register.CreateRegisteredRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_CREATE_REGISTERED, getCallOptions(), request);
    }

    /**
     * <pre>
     *取消预约
     * </pre>
     */
    public com.ywt.gapi.taihe.register.CancelRegisteredResponse cancelRegistered(com.ywt.gapi.taihe.register.CancelRegisteredRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_CANCEL_REGISTERED, getCallOptions(), request);
    }

    /**
     * <pre>
     *订单支付成功通知
     * </pre>
     */
    public com.ywt.gapi.taihe.register.PayCallbackResponse payCallback(com.ywt.gapi.taihe.register.PayCallbackRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_PAY_CALLBACK, getCallOptions(), request);
    }

    /**
     * <pre>
     *退款回调
     * </pre>
     */
    public com.ywt.gapi.taihe.register.RefundCallbackResponse refundCallback(com.ywt.gapi.taihe.register.RefundCallbackRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_REFUND_CALLBACK, getCallOptions(), request);
    }

    /**
     * <pre>
     *挂号（挂号信息已先保存至数据表中）
     * </pre>
     */
    public com.ywt.gapi.taihe.register.RegisterResponse register(com.ywt.gapi.taihe.register.RegisterRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_REGISTER, getCallOptions(), request);
    }

    /**
     * <pre>
     *取号
     * </pre>
     */
    public com.ywt.gapi.taihe.register.TakeResponse take(com.ywt.gapi.taihe.register.TakeRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_TAKE, getCallOptions(), request);
    }

    /**
     * <pre>
     *获取候诊订单列表
     * </pre>
     */
    public com.ywt.gapi.taihe.register.GetQueueListResponse getQueueList(com.ywt.gapi.taihe.register.GetQueueListRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_QUEUE_LIST, getCallOptions(), request);
    }

    /**
     * <pre>
     *获取太和门诊记录
     * </pre>
     */
    public com.ywt.gapi.taihe.register.GetCommonOrderListResponse getCommonOrderList(com.ywt.gapi.taihe.register.GetCommonOrderListRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_COMMON_ORDER_LIST, getCallOptions(), request);
    }

    /**
     * <pre>
     *获取挂号订单列表
     * </pre>
     */
    public com.ywt.gapi.taihe.register.GetRegisteredListResponse getRegisteredList(com.ywt.gapi.taihe.register.GetRegisteredListRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_REGISTERED_LIST, getCallOptions(), request);
    }

    /**
     * <pre>
     *无诊疗卡挂号
     * </pre>
     */
    public com.ywt.gapi.taihe.register.RegisterWithoutMedicalCardResponse registerWithoutMedicalCard(com.ywt.gapi.taihe.register.RegisterWithoutMedicalCardRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_REGISTER_WITHOUT_MEDICAL_CARD, getCallOptions(), request);
    }

    /**
     * <pre>
     * 根据医生 id 获取下线问诊相关信息
     * </pre>
     */
    public com.ywt.gapi.taihe.register.GetOfflineConsultInfoByDoctorIdResponse getOfflineConsultInfoByDoctorId(com.ywt.gapi.taihe.register.GetOfflineConsultInfoByDoctorIdRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_OFFLINE_CONSULT_INFO_BY_DOCTOR_ID, getCallOptions(), request);
    }

    /**
     * <pre>
     * 获取最近一次挂号订单
     * </pre>
     */
    public com.ywt.gapi.taihe.register.GetLatestRegOrderResponse getLatestRegOrder(com.ywt.gapi.taihe.register.GetLatestRegOrderRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_LATEST_REG_ORDER, getCallOptions(), request);
    }

    /**
     * <pre>
     * 计算加收费用
     * </pre>
     */
    public com.ywt.gapi.taihe.register.CalAdditionalFeeResponse calAdditionalFee(com.ywt.gapi.taihe.register.CalAdditionalFeeRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_CAL_ADDITIONAL_FEE, getCallOptions(), request);
    }

    /**
     * <pre>
     * 根据 userId &amp; mobile 获取 hisPatientId
     * </pre>
     */
    public com.ywt.gapi.taihe.register.GetHisPatientIdByUserIdAndMobileResponse getHisPatientIdByUserIdAndMobile(com.ywt.gapi.taihe.register.GetHisPatientIdByUserIdAndMobileRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_GET_HIS_PATIENT_ID_BY_USER_ID_AND_MOBILE, getCallOptions(), request);
    }

    /**
     * <pre>
     * HIS 建档并在系统创建诊疗卡
     * </pre>
     */
    public com.ywt.gapi.taihe.register.CreateMedicalCardResponse createMedicalCard(com.ywt.gapi.taihe.register.CreateMedicalCardRequest request) {
      return blockingUnaryCall(
          getChannel(), METHOD_CREATE_MEDICAL_CARD, getCallOptions(), request);
    }
  }

  /**
   * <pre>
   *太和医院预约挂号业务类 // 对应 taihe-rpc 项目 TaiheRegisterService 类
   * </pre>
   */
  public static final class TaiheRegisterServiceFutureStub extends io.grpc.stub.AbstractStub<TaiheRegisterServiceFutureStub> {
    private TaiheRegisterServiceFutureStub(io.grpc.Channel channel) {
      super(channel);
    }

    private TaiheRegisterServiceFutureStub(io.grpc.Channel channel,
        io.grpc.CallOptions callOptions) {
      super(channel, callOptions);
    }

    @java.lang.Override
    protected TaiheRegisterServiceFutureStub build(io.grpc.Channel channel,
        io.grpc.CallOptions callOptions) {
      return new TaiheRegisterServiceFutureStub(channel, callOptions);
    }

    /**
     * <pre>
     *预约挂号
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.taihe.register.CreateRegisteredResponse> createRegistered(
        com.ywt.gapi.taihe.register.CreateRegisteredRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_CREATE_REGISTERED, getCallOptions()), request);
    }

    /**
     * <pre>
     *取消预约
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.taihe.register.CancelRegisteredResponse> cancelRegistered(
        com.ywt.gapi.taihe.register.CancelRegisteredRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_CANCEL_REGISTERED, getCallOptions()), request);
    }

    /**
     * <pre>
     *订单支付成功通知
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.taihe.register.PayCallbackResponse> payCallback(
        com.ywt.gapi.taihe.register.PayCallbackRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_PAY_CALLBACK, getCallOptions()), request);
    }

    /**
     * <pre>
     *退款回调
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.taihe.register.RefundCallbackResponse> refundCallback(
        com.ywt.gapi.taihe.register.RefundCallbackRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_REFUND_CALLBACK, getCallOptions()), request);
    }

    /**
     * <pre>
     *挂号（挂号信息已先保存至数据表中）
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.taihe.register.RegisterResponse> register(
        com.ywt.gapi.taihe.register.RegisterRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_REGISTER, getCallOptions()), request);
    }

    /**
     * <pre>
     *取号
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.taihe.register.TakeResponse> take(
        com.ywt.gapi.taihe.register.TakeRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_TAKE, getCallOptions()), request);
    }

    /**
     * <pre>
     *获取候诊订单列表
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.taihe.register.GetQueueListResponse> getQueueList(
        com.ywt.gapi.taihe.register.GetQueueListRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_QUEUE_LIST, getCallOptions()), request);
    }

    /**
     * <pre>
     *获取太和门诊记录
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.taihe.register.GetCommonOrderListResponse> getCommonOrderList(
        com.ywt.gapi.taihe.register.GetCommonOrderListRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_COMMON_ORDER_LIST, getCallOptions()), request);
    }

    /**
     * <pre>
     *获取挂号订单列表
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.taihe.register.GetRegisteredListResponse> getRegisteredList(
        com.ywt.gapi.taihe.register.GetRegisteredListRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_REGISTERED_LIST, getCallOptions()), request);
    }

    /**
     * <pre>
     *无诊疗卡挂号
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.taihe.register.RegisterWithoutMedicalCardResponse> registerWithoutMedicalCard(
        com.ywt.gapi.taihe.register.RegisterWithoutMedicalCardRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_REGISTER_WITHOUT_MEDICAL_CARD, getCallOptions()), request);
    }

    /**
     * <pre>
     * 根据医生 id 获取下线问诊相关信息
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.taihe.register.GetOfflineConsultInfoByDoctorIdResponse> getOfflineConsultInfoByDoctorId(
        com.ywt.gapi.taihe.register.GetOfflineConsultInfoByDoctorIdRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_OFFLINE_CONSULT_INFO_BY_DOCTOR_ID, getCallOptions()), request);
    }

    /**
     * <pre>
     * 获取最近一次挂号订单
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.taihe.register.GetLatestRegOrderResponse> getLatestRegOrder(
        com.ywt.gapi.taihe.register.GetLatestRegOrderRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_LATEST_REG_ORDER, getCallOptions()), request);
    }

    /**
     * <pre>
     * 计算加收费用
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.taihe.register.CalAdditionalFeeResponse> calAdditionalFee(
        com.ywt.gapi.taihe.register.CalAdditionalFeeRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_CAL_ADDITIONAL_FEE, getCallOptions()), request);
    }

    /**
     * <pre>
     * 根据 userId &amp; mobile 获取 hisPatientId
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.taihe.register.GetHisPatientIdByUserIdAndMobileResponse> getHisPatientIdByUserIdAndMobile(
        com.ywt.gapi.taihe.register.GetHisPatientIdByUserIdAndMobileRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_GET_HIS_PATIENT_ID_BY_USER_ID_AND_MOBILE, getCallOptions()), request);
    }

    /**
     * <pre>
     * HIS 建档并在系统创建诊疗卡
     * </pre>
     */
    public com.google.common.util.concurrent.ListenableFuture<com.ywt.gapi.taihe.register.CreateMedicalCardResponse> createMedicalCard(
        com.ywt.gapi.taihe.register.CreateMedicalCardRequest request) {
      return futureUnaryCall(
          getChannel().newCall(METHOD_CREATE_MEDICAL_CARD, getCallOptions()), request);
    }
  }

  private static final int METHODID_CREATE_REGISTERED = 0;
  private static final int METHODID_CANCEL_REGISTERED = 1;
  private static final int METHODID_PAY_CALLBACK = 2;
  private static final int METHODID_REFUND_CALLBACK = 3;
  private static final int METHODID_REGISTER = 4;
  private static final int METHODID_TAKE = 5;
  private static final int METHODID_GET_QUEUE_LIST = 6;
  private static final int METHODID_GET_COMMON_ORDER_LIST = 7;
  private static final int METHODID_GET_REGISTERED_LIST = 8;
  private static final int METHODID_REGISTER_WITHOUT_MEDICAL_CARD = 9;
  private static final int METHODID_GET_OFFLINE_CONSULT_INFO_BY_DOCTOR_ID = 10;
  private static final int METHODID_GET_LATEST_REG_ORDER = 11;
  private static final int METHODID_CAL_ADDITIONAL_FEE = 12;
  private static final int METHODID_GET_HIS_PATIENT_ID_BY_USER_ID_AND_MOBILE = 13;
  private static final int METHODID_CREATE_MEDICAL_CARD = 14;

  private static final class MethodHandlers<Req, Resp> implements
      io.grpc.stub.ServerCalls.UnaryMethod<Req, Resp>,
      io.grpc.stub.ServerCalls.ServerStreamingMethod<Req, Resp>,
      io.grpc.stub.ServerCalls.ClientStreamingMethod<Req, Resp>,
      io.grpc.stub.ServerCalls.BidiStreamingMethod<Req, Resp> {
    private final TaiheRegisterServiceImplBase serviceImpl;
    private final int methodId;

    MethodHandlers(TaiheRegisterServiceImplBase serviceImpl, int methodId) {
      this.serviceImpl = serviceImpl;
      this.methodId = methodId;
    }

    @java.lang.Override
    @java.lang.SuppressWarnings("unchecked")
    public void invoke(Req request, io.grpc.stub.StreamObserver<Resp> responseObserver) {
      switch (methodId) {
        case METHODID_CREATE_REGISTERED:
          serviceImpl.createRegistered((com.ywt.gapi.taihe.register.CreateRegisteredRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.CreateRegisteredResponse>) responseObserver);
          break;
        case METHODID_CANCEL_REGISTERED:
          serviceImpl.cancelRegistered((com.ywt.gapi.taihe.register.CancelRegisteredRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.CancelRegisteredResponse>) responseObserver);
          break;
        case METHODID_PAY_CALLBACK:
          serviceImpl.payCallback((com.ywt.gapi.taihe.register.PayCallbackRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.PayCallbackResponse>) responseObserver);
          break;
        case METHODID_REFUND_CALLBACK:
          serviceImpl.refundCallback((com.ywt.gapi.taihe.register.RefundCallbackRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.RefundCallbackResponse>) responseObserver);
          break;
        case METHODID_REGISTER:
          serviceImpl.register((com.ywt.gapi.taihe.register.RegisterRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.RegisterResponse>) responseObserver);
          break;
        case METHODID_TAKE:
          serviceImpl.take((com.ywt.gapi.taihe.register.TakeRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.TakeResponse>) responseObserver);
          break;
        case METHODID_GET_QUEUE_LIST:
          serviceImpl.getQueueList((com.ywt.gapi.taihe.register.GetQueueListRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.GetQueueListResponse>) responseObserver);
          break;
        case METHODID_GET_COMMON_ORDER_LIST:
          serviceImpl.getCommonOrderList((com.ywt.gapi.taihe.register.GetCommonOrderListRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.GetCommonOrderListResponse>) responseObserver);
          break;
        case METHODID_GET_REGISTERED_LIST:
          serviceImpl.getRegisteredList((com.ywt.gapi.taihe.register.GetRegisteredListRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.GetRegisteredListResponse>) responseObserver);
          break;
        case METHODID_REGISTER_WITHOUT_MEDICAL_CARD:
          serviceImpl.registerWithoutMedicalCard((com.ywt.gapi.taihe.register.RegisterWithoutMedicalCardRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.RegisterWithoutMedicalCardResponse>) responseObserver);
          break;
        case METHODID_GET_OFFLINE_CONSULT_INFO_BY_DOCTOR_ID:
          serviceImpl.getOfflineConsultInfoByDoctorId((com.ywt.gapi.taihe.register.GetOfflineConsultInfoByDoctorIdRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.GetOfflineConsultInfoByDoctorIdResponse>) responseObserver);
          break;
        case METHODID_GET_LATEST_REG_ORDER:
          serviceImpl.getLatestRegOrder((com.ywt.gapi.taihe.register.GetLatestRegOrderRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.GetLatestRegOrderResponse>) responseObserver);
          break;
        case METHODID_CAL_ADDITIONAL_FEE:
          serviceImpl.calAdditionalFee((com.ywt.gapi.taihe.register.CalAdditionalFeeRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.CalAdditionalFeeResponse>) responseObserver);
          break;
        case METHODID_GET_HIS_PATIENT_ID_BY_USER_ID_AND_MOBILE:
          serviceImpl.getHisPatientIdByUserIdAndMobile((com.ywt.gapi.taihe.register.GetHisPatientIdByUserIdAndMobileRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.GetHisPatientIdByUserIdAndMobileResponse>) responseObserver);
          break;
        case METHODID_CREATE_MEDICAL_CARD:
          serviceImpl.createMedicalCard((com.ywt.gapi.taihe.register.CreateMedicalCardRequest) request,
              (io.grpc.stub.StreamObserver<com.ywt.gapi.taihe.register.CreateMedicalCardResponse>) responseObserver);
          break;
        default:
          throw new AssertionError();
      }
    }

    @java.lang.Override
    @java.lang.SuppressWarnings("unchecked")
    public io.grpc.stub.StreamObserver<Req> invoke(
        io.grpc.stub.StreamObserver<Resp> responseObserver) {
      switch (methodId) {
        default:
          throw new AssertionError();
      }
    }
  }

  private static abstract class TaiheRegisterServiceBaseDescriptorSupplier
      implements io.grpc.protobuf.ProtoFileDescriptorSupplier, io.grpc.protobuf.ProtoServiceDescriptorSupplier {
    TaiheRegisterServiceBaseDescriptorSupplier() {}

    @java.lang.Override
    public com.google.protobuf.Descriptors.FileDescriptor getFileDescriptor() {
      return com.ywt.gapi.taihe.register.TaiheRegister.getDescriptor();
    }

    @java.lang.Override
    public com.google.protobuf.Descriptors.ServiceDescriptor getServiceDescriptor() {
      return getFileDescriptor().findServiceByName("TaiheRegisterService");
    }
  }

  private static final class TaiheRegisterServiceFileDescriptorSupplier
      extends TaiheRegisterServiceBaseDescriptorSupplier {
    TaiheRegisterServiceFileDescriptorSupplier() {}
  }

  private static final class TaiheRegisterServiceMethodDescriptorSupplier
      extends TaiheRegisterServiceBaseDescriptorSupplier
      implements io.grpc.protobuf.ProtoMethodDescriptorSupplier {
    private final String methodName;

    TaiheRegisterServiceMethodDescriptorSupplier(String methodName) {
      this.methodName = methodName;
    }

    @java.lang.Override
    public com.google.protobuf.Descriptors.MethodDescriptor getMethodDescriptor() {
      return getServiceDescriptor().findMethodByName(methodName);
    }
  }

  private static volatile io.grpc.ServiceDescriptor serviceDescriptor;

  public static io.grpc.ServiceDescriptor getServiceDescriptor() {
    io.grpc.ServiceDescriptor result = serviceDescriptor;
    if (result == null) {
      synchronized (TaiheRegisterServiceGrpc.class) {
        result = serviceDescriptor;
        if (result == null) {
          serviceDescriptor = result = io.grpc.ServiceDescriptor.newBuilder(SERVICE_NAME)
              .setSchemaDescriptor(new TaiheRegisterServiceFileDescriptorSupplier())
              .addMethod(METHOD_CREATE_REGISTERED)
              .addMethod(METHOD_CANCEL_REGISTERED)
              .addMethod(METHOD_PAY_CALLBACK)
              .addMethod(METHOD_REFUND_CALLBACK)
              .addMethod(METHOD_REGISTER)
              .addMethod(METHOD_TAKE)
              .addMethod(METHOD_GET_QUEUE_LIST)
              .addMethod(METHOD_GET_COMMON_ORDER_LIST)
              .addMethod(METHOD_GET_REGISTERED_LIST)
              .addMethod(METHOD_REGISTER_WITHOUT_MEDICAL_CARD)
              .addMethod(METHOD_GET_OFFLINE_CONSULT_INFO_BY_DOCTOR_ID)
              .addMethod(METHOD_GET_LATEST_REG_ORDER)
              .addMethod(METHOD_CAL_ADDITIONAL_FEE)
              .addMethod(METHOD_GET_HIS_PATIENT_ID_BY_USER_ID_AND_MOBILE)
              .addMethod(METHOD_CREATE_MEDICAL_CARD)
              .build();
        }
      }
    }
    return result;
  }
}
